%define major 0
%define libname	%mklibname png 12 %{major}
%define develname %mklibname png12 -d
%define staticname %mklibname png12 -d -s

Summary:	A library of functions for manipulating PNG image format files
Name:		libpng12
Version:	1.2.55
Release:	%mkrel 1
Epoch:		2
License:	zlib
Group:		System/Libraries
URL:		http://www.libpng.org/pub/png/libpng.html
Source:		http://prdownloads.sourceforge.net/libpng/libpng-%{version}.tar.xz
Patch0:		http://downloads.sourceforge.net/libpng-apng/libpng-%{version}-apng.patch.gz
Patch1:		libpng-1.2.36-pngconf-setjmp.patch
Patch2:		libpng-1.2.44-CVE-2008-6218.diff
Patch4:		libpng12-CVE-2013-6954.patch
Patch5:		libpng-1.2.50-CVE-2013-7353.patch
Patch6:		libpng-1.2.50-CVE-2013-7354.patch
BuildRequires: 	zlib-devel

%description
The libpng package contains a library of functions for creating and
manipulating PNG (Portable Network Graphics) image format files.  PNG is
a bit-mapped graphics format similar to the GIF format.  PNG was created to
replace the GIF format, since GIF uses a patented data compression
algorithm.

Libpng should be installed if you need to manipulate PNG format image
files.

%package -n	%{libname}
Summary:	A library of functions for manipulating PNG image format files
Group:		System/Libraries
Obsoletes:	%{_lib}png3 < %{epoch}:%{version}-%{release}

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with libpng.

%package -n	%{develname}
Summary:	Development tools for programs to manipulate PNG image format files
Group:		Development/C
Requires:	%{libname} = %{epoch}:%{version}
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}
Conflicts:	%{_lib}png-devel < 2:1.5.4
Obsoletes:	%{_lib}png12-static-devel < %{epoch}:%{version}-%{release}

%description -n	%{develname}
The libpng-devel package contains the header files and libraries
necessary for developing programs using the PNG (Portable Network
Graphics) library.

If you want to develop programs which will manipulate PNG image format
files, you should install libpng-devel.  You'll also need to install the
libpng package.

%prep
%setup -qn libpng-%{version}
%patch0 -p1 -b .apng
%patch1 -p0 -b .pngconf-setjmp
%patch2 -p0 -b .CVE-2008-6218
%patch4 -p1 -b .CVE-2013-6954
%patch5 -p0 -b .CVE-2013-7353
%patch6 -p0 -b .CVE-2013-7354

%build
./autogen.sh
%configure2_5x --with-pic --disable-static
%make

%check
make check

%install
%makeinstall_std
# remove unpackaged files
rm -rf %{buildroot}{%{_prefix}/man,%{_libdir}/lib*.la}
rm -f %{buildroot}%{_libdir}/libpng.*

# remove compat files, which is conflicts with libpng 1.5
rm -f %{buildroot}%{_libdir}/pkgconfig/libpng.pc
rm -f %{buildroot}%{_bindir}/libpng-config
rm -f %{buildroot}%{_includedir}/*.h
rm -f %{buildroot}%{_mandir}/*/*

#multiarch
%multiarch_binaries %{buildroot}%{_bindir}/libpng12-config

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}*

%files -n %{develname}
%doc *.txt example.c README TODO CHANGES
%{_bindir}/libpng12-config
%{multiarch_bindir}/libpng12-config
%{_includedir}/libpng12
%{_libdir}/libpng12.so
%{_libdir}/pkgconfig/libpng12.pc


%changelog
* Mon Dec 07 2015 luigiwalser <luigiwalser> 2:1.2.55-1.mga5
+ Revision: 908677
- 1.2.55 (fixes CVE-2015-8472)
- 1.2.54 (fixes CVE-2015-8126)
- remove upstreamed CVE-2015-7981 patch (patch7)
- add upstream patch to fix CVE-2015-7981

* Tue Dec 02 2014 luigiwalser <luigiwalser> 2:1.2.52-1.mga5
+ Revision: 800324
- 1.2.52

* Wed Oct 15 2014 umeabot <umeabot> 2:1.2.51-4.mga5
+ Revision: 748621
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2:1.2.51-3.mga5
+ Revision: 681715
- Mageia 5 Mass Rebuild

* Thu May 08 2014 oden <oden> 2:1.2.51-2.mga5
+ Revision: 621126
- P5: security fix for CVE-2013-7353 (suse)
- P6: security fix for CVE-2013-7354 (suse)

* Sun Feb 16 2014 luigiwalser <luigiwalser> 2:1.2.51-1.mga5
+ Revision: 592597
- 1.2.51
- remove upstreamed automake 1.13 patch
- update apng patch

* Wed Feb 12 2014 luigiwalser <luigiwalser> 2:1.2.50-5.mga5
+ Revision: 589899
- add patch from fedora to fix CVE-2013-6954

* Fri Oct 18 2013 umeabot <umeabot> 2:1.2.50-4.mga4
+ Revision: 507271
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2:1.2.50-3.mga3
+ Revision: 357984
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 cjw <cjw> 2:1.2.50-2.mga3
+ Revision: 339261
- patch3: fix build with automake 1.13

* Thu Jul 12 2012 fwang <fwang> 2:1.2.50-1.mga3
+ Revision: 270248
- new version 1.2.50

* Tue Apr 03 2012 fwang <fwang> 2:1.2.49-1.mga2
+ Revision: 228171
- fix patchname
- new version 1.2.49

* Thu Mar 22 2012 fwang <fwang> 2:1.2.48-1.mga2
+ Revision: 225617
- New version 1.2.48
  fixing CVE-2011-3045: heap-based buffer overflow flaw in the way libpng
  processed compressed chunks in PNG image files

* Tue Feb 28 2012 fwang <fwang> 2:1.2.47-2.mga2
+ Revision: 215814
- drop static devel package, it is not used by any other packages
- fix upgrading from mga1
- drop uclibc flavour from non-default libver

* Sun Feb 19 2012 fwang <fwang> 2:1.2.47-1.mga2
+ Revision: 210735
- br uclibc-zlib
- new version 1.2.47

* Sat Sep 10 2011 fwang <fwang> 2:1.2.46-4.mga2
+ Revision: 142067
- avoid file conflicts with libpng15
- prepare the switch on libpng15
- do not provides source package
- drop compat files
- fork libpng 1.2
- Created package structure for libpng12.

